<?

session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='session_invalida.php'; ";
	echo "</script>";
}
include("clases/cabevaluacion.class.php");
include("clases/evaluacion.class.php");
include("clases/respuesta.class.php"); $Objdetres=new respuesta();
include("clases/pregunta.class.php");
include("clases/doc_curso.class.php");
include("clases/curso.class.php");
include("clases/autor.class.php");
$obja = new autor();
if($obja->BuscarPorNombre($_SESSION['usuario']))
	{
	  $nombre = $obja->getNombres();
	  $apellido = $obja->getApellidos();
	  $email = $obja->getEmail();
	  $foto = $obja->getFoto();
	  $dir = $obja->getDireccion();
	  $iddoc = $obja->getIddoc();
	  $tel = $obja->getTelefono();
	}
//////////////////////////////////////////
include ("clases/alumno.class.php");
$objd = new alumno();
if($objd->BuscarPorNombre($_SESSION['usuario']))
	{
	  $nombre = $objd->getNombres();
	  $apellido = $objd->getApellidos();
	  $email = $objd->getEmail();
	  $foto = $objd->getFoto();
	  $dir = $objd->getDireccion();
	  $tel = $objd->getTelefono();
	  $f = $objd->getFechanaci();
	  $es = $objd->getEspecialidad();
	  $idalu = $objd->getIdalu();
	}
////////////////////
$vcod=$_REQUEST["id"];
$Objvent = new cabevaluacion();
$obje = new evaluacion();
$objp = new pregunta();
$objdc = new doc_curso();
$objcurso = new curso();
if($Objvent->BuscarPorCodigo($vcod))
	{		
		$viddoc_curso=$Objvent->getIddoc_curso();
		$vtitulo =$Objvent->getTitulo();
		$vtiempo=$Objvent->getTiempo();
		$vactivo = $Objvent->getActivo();
		if($objdc->BuscarPorCodigo($viddoc_curso))
		  {		$iddoc = $objdc->getIddoc();
		     $vidcurso = $objdc->getIdcurso();
			 if($objcurso->BuscarPorCodigo($vidcurso)){
			    $curso = $objcurso->getCurso();
			 }
		  }		
	}
?>
<html>
<script language="javascript"> 

function envia(id)
	{ 
	  window.open("frmdocing.php?id="+id,"","fullscreen=no, height=400,width=700,left=200,top=130,resizable = no,scrollbars=yes,toolbar = no,status = no");						
	}
	function enviagr(id)
	{ 
	  window.open("frmguia.php?id="+id,"","fullscreen=no, height=700,width=850,left=200,top=0,resizable = no,scrollbars=yes,toolbar = no,status = no");						
	}
</script>


<style type="text/css">
	body {
	font-family: Helvetica;
	font-size: 11px;
	color: #000;
	}
	
	h3 {
		margin: 0px;
		padding: 0px;	
	}

	.suggestionsBox {
		position:relative;
		left: -150px;
		top: -15px;
		margin: 10px 0px 0px 0px;
		width: 300px;
		background-color: #ffffff;
		-moz-border-radius: 7px;
		-webkit-border-radius: 7px;
		border: 2px solid #ccc;	
		color: #000;
	}
	
	.suggestionList {
		margin: 0px;
		padding: 0px;
	}
	
	.suggestionList li {
		
		margin: 0px 0px 3px 0px;
		padding: 3px;
		cursor: pointer;		
	}
	
	.suggestionList li:hover {
		background-color: #00cc33;		
	}
</style>
<head>
<title>BIENVENIDO AL EXAMEN</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>


<script>
function t(){
var t = document.frmventa.tiempo.value; //alert("TIEMPO PARA DESARROLLAR EL EXAMEN EN MINUTOS: "+t);
setTimeout("document.getElementById('Submit').click ();", t*60*1000);
}
</script>
<script language="javascript">
	function AbrirVentanaArticulo()
	{
	window.open("frmbuscaprod.php","","fullscreen=no, height=250,width=450,left=200,top=300,resizable = no,scrollbars=yes,toolbar = no,status = no");
	}		
</script>
<script language="javascript">
	function validar(e) { // 1
       tecla = (document.all) ? e.keyCode : e.which; // 2
       if (tecla==8) return true; // 3
       patron =/\d/; // 4
       te = String.fromCharCode(tecla); // 5
       return patron.test(te); // 6
	}
	function validareal(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8) return true; // 3
    patron =/^\d{0,15}\.?\d{0,2}$/; // 4
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6
} 
</script>
</head>

<body style="margin-top:1%" onLoad="t();">
<div class="container">

<div align="center">
  <form name="frmventa" method="post" action="controladores/procesaexamen.php">
    <table bgcolor="#FFFFFF" align="center">
      
      
      <tr>
        <td width="37%" colspan="4" align="right"><table class="table table-responsive">
          <tr>
            <td colspan="5" align="center" class="title-flat-form">CUESTIONARIO
                  <?php //$vcod;?>          </td>
          </tr>
          <tr class="Estilo1">
            <td align="left">CURSO:</td>
            <td width="41%" align="left"><span class="v2-collapse-shadow Estilo13">
              <?=$curso;?>
            </span></td>
            <td width="12%" align="left">TIEMPO:</td>
            <td width="23%" align="left"><?=$vtiempo;?> min 
              <input type="hidden" name="tiempo" value="<?=$vtiempo;?>"></td>
            <td width="15%" align="left"><span class="Estilo17">
              <input type="hidden" name="ideva" value="<?=$vcod;?>">
            </span></td>
          </tr>
          <tr class="Estilo1">
            <td width="9%" align="left" class="v2-collapse-shadow Estilo13">TITULO:</td>
            <td align="left"><?=$vtitulo;?></td>
            <td align="left">ESTUDIANTE:</td>
            <td colspan="2" align="left"><?=$nombre." ".$apellido;?>
              <input type="hidden" name="idalu" value="<?=$idalu;?>"></td>
            </tr>
          
          
        </table></td>
      </tr>
      
      <tr>
        <td height="92" colspan="4" align="right"><table class="table table-responsive">
          <tr>
            <td colspan="3" align="center" class="active">PREGUNTAS DEL CUESTIONARIO </td>
          </tr>
          <tr>
            <td width="4%"  align="center" >N&ordm;</td>
            <td width="76%" align="left">Pregunta</td>
            <td width="13%" align="right" >Puntaje</td>
            </tr>
          <?php
		  $objprod = new pregunta();
		  $Objdetven=new evaluacion();
		  $listaVen = $Objdetven->ListarDetalleIngreso($vcod); 
   for($i = 0; $i < count($listaVen); $i++)
       { 
	   
	       if($objprod->BuscarPorCodigo($listaVen[$i]["idpregunta"]))	
		 		{
		 			$listaVen[$i]["pregunta"]=$objprod->getPregunta();
					$listaVen[$i]["puntaje"]=$objprod->getPuntaje();						
		 		}
		echo "<fieldset>";	
		//}						
     ?>
          <tr class="active">
            <td align="right"  >
              <?=($i+1);?>            </td>
            <td align="left">
              <?=$listaVen[$i]['pregunta'];?>            </td>
            <td align="right"><input type="hidden" name="puntaje[<?=$i?>]" value="<?=$listaVen[$i]['puntaje'];?>">
              <?=$listaVen[$i]['puntaje'];?></td>
            </tr>
          
          <tr class="Estilo1">
            <td align="LEFT">&nbsp;</td>
            <td align="LEFT"><?
		  $listaRes[$i] = $Objdetres->ListarPorPregunta($listaVen[$i]["idpregunta"]);				
				for($j = 0; $j < count($listaRes); $j++)
       			{   $cadenareq = "";					    
					for($h=0; $h < count($listaRes[$i][$j]);$j++){
	       			   if($Objdetres->BuscarPorCodigo($listaRes[$i][$j]["idrespuesta"]))	
		 				 {  
						    $listaRes[$i][$j]["respuesta"]=$Objdetres->getRespuesta();
							
							echo "<table border ='0' cellpadding='0' class='v2-collapse-shadow Estilo1'>";
							echo "<tr>";
							echo "<td>";
							
							echo "<INPUT type='radio' name='correcto[$i]' value='".$listaRes[$i][$j]['correcto']."'>
".$listaRes[$i][$j]["respuesta"];
							
							echo "</td>";
							echo "</tr>";
							echo "</table>"; 
						 }
		 			}					
		 		}?></td>
            <td align="LEFT">&nbsp;</td>
          </tr>
        <?php	
		  echo "</fieldset>";
}
?>  
        </table></td>
      </tr>
      <tr>
        <td height="20" colspan="4" align="center">
          <input type="submit" name="Submit" id="Submit" value="Terminar" class="btn btn-success btn-lg"></td>
      </tr>
      <tr>
        <td height="20" colspan="4" align="center">Recomendaci&oacute;n: No salir de esta pantalla hasta terminar el cuestionario, haga su mejor esfuerzo </td>
      </tr>
    </table>
  <br>
  </form>
 
  <script> 
     /*   window.addEventListener("beforeunload", function(event) { 
            event.returnValue = "This document is ready to load"; 
        }); */
    </script> 
</div>
</div>
</body>
</html>
